<app-header></app-header>
<mat-drawer-container class="example-container" autosize>
  <div class="example-sidenav-content">
    <app-titlemodule class="divtitle" [title] = title [route] = route></app-titlemodule>
    <div class="container-fluid float-right col-12 col-qpad divtop">
      <app-button *ngIf="!banperm" [banctrl]="[false ,false, false, false, false, true]" [opcion] = 3 [modulo]="modulo" ></app-button>
    </div>

    <div *ngIf="!banperm" class="container-fluid float-left div-table col-12">
      <div class="d-none d-lg-block d-md-block">
        <table class="table table-fixed font-comp table-style">
          <thead>
          <tr>
            <th scope="col" class="col-100 col-l"></th>
            <th class="col-l col-100" scope="col">CÓDIGO</th>
            <th class="col-l col-50" scope="col">CAJA</th>
            <th class="col-l col-50" scope="col">FECHA APERTURA</th>

            <th class="col-l col-w" scope="col">SALDO</th>
            <th class="col-l col-w" scope="col">APERTURA INICIAL</th>
            <th class="col-l namemd" scope="col">RESPONSABLE</th>
          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let regist of pageService.dataSource">
            <th scope="row" class="col-w col-l">
              <a class="btn btn-sm btn-danger" matTooltip="Eliminar registro"><i class="fa fa-times"></i></a>&nbsp;
              <a class="btn btn-sm btn-dark" matTooltip="Editar registro"><i class="fa fa-edit"></i></a>&nbsp;
              <a class="btn btn-sm btn-reg" matTooltip="Permisos" (click)="permisodiv(true)"><i class="fa fa-user-plus"></i></a>&nbsp;
              <!-- <a class="btn btn-sm btn-list" matTooltip="Grupos de recaudación"><i class="fa fa-money"></i></a> -->
            </th>
            <td class="col-l col-100">{{ regist.codigo }}</td>
            <td class="col-l col-50">{{ regist.nombre }}</td>
            <td class="col-l col-50">{{ regist.fecharegistro | date: 'dd-MM-yyyy HH:mm:ss' }}</td>
            <td class="col-l col-w num-{{regist.saldo<0 ? 'tot' : 'tot2'}} col-r">{{ regist.saldo | currency:segserv.moneda }}</td>
            <td class="col-l col-w col-r">{{ regist.aperturaInicial | currency:segserv.moneda }}</td>
            <td class="col-l namemd" >{{ regist.nombreresponsable }}</td>

          </tr>
          <tr *ngIf="dataGlobal.length == 0" class="col-l cel-ie">
            <th colspan="7">No hay registros.</th>
          </tr>
          </tbody>
          <tfoot>
            <tr >
              <td class="col-c">
                <button class="btn btn-sm btn-info btn-uq"  matTooltip="Ir a caja"  [routerLink] = "['/caja']"><mat-icon>account_balance_wallet</mat-icon></button>
              </td>
              <td colspan="4" class="col-r num-tot"><b>{{ getTotal(0) | currency:segserv.moneda}}</b></td>
              <td colspan="2" class="col-r"><b>{{ dataGlobal.length | number }} registros</b></td>
            </tr>
          </tfoot>
        </table>
      </div>
       <div class="d-block d-lg-none d-md-none">
        <table class="font-comp table-style">
            <div class="col-12" style="padding-right: 0px;" *ngFor="let regist of pageService.dataSource">
                <div class="card bg-c-dark order-card">
                    <div class="card-block">
                        <h6 class="m-b-20">{{ regist.codigo}} :: {{ regist.nombre}}<br><span class="num-tot"></span>{{ regist.fecharegistro | date: 'dd-MM-yyyy HH:mm:ss' }}</h6>

                        <h2><span class="num-{{regist.saldo<0 ? 'tot' : 'tot2'}}">{{ regist.saldo | currency:segserv.moneda }}</span>
                          <span class="f-right">
                            <a class="btn btn-xs btn-danger" matTooltip="Eliminar registro"><i class="fa fa-times"></i></a>&nbsp;
                            <a class="btn btn-xs btn-dark" matTooltip="Editar registro"><i class="fa fa-edit"></i></a>&nbsp;
                            <a class="btn btn-xs btn-reg" matTooltip="Permisos" (click)="permisodiv(true)"><i class="fa fa-user-plus"></i></a>&nbsp;
                          </span></h2>
                          <p class="m-b-0">RESPONSABLE<span class="f-right">{{ regist.nombreresponsable }}</span></p>
                          <p class="m-b-0">APERTURA INICIAL<span class="f-right">{{ regist.aperturaInicial | currency:segserv.moneda }}</span></p>

                    </div>
                </div>
            </div>
            <tbody>
              <tr>
                <th *ngIf="pageService.dataSource.length == 0" class="col-l" style="padding: 10px 0px;">
                  No se ha registrado recaudaciones según los criterios seleccionados.
                </th>
              </tr>
            </tbody>
        </table>
      </div>
    </div>
    <div *ngIf="banperm" class="container-fluid float-right col-12">
      <div class="subtitulo-form col-12">
        <span
          >Brindar accesos a <b>{{ caja.toUpperCase() }}</b>
         </span>
      </div>
      <div class="float-left col-lg-6 col-md-6 col-12">
        <mat-form-field class="example-full-width col-lg-9 col-md-12 col-12">
          <mat-label class="font-comp">Persona que se otorgará permiso a la caja seleccionada</mat-label>
          <input class="font-comp" type="text" matInput [formControl]="myControl" >
          <!-- [matAutocomplete]="auto" -->
          <!-- <mat-autocomplete #auto="matAutocomplete" > -->
            <!-- [displayWith]="displayFn" -->
            <!-- <mat-option *ngFor="let option of filteredOptions | async" [value]="option">
              {{option.name}}
            </mat-option> -->
          <!-- </mat-autocomplete> -->
        </mat-form-field>
        <div class="float-right col-r">
          <button class="btn btn-sm btn-reg btn-uq"  matTooltip="Dar permiso"  ><i class="fa fa-check-circle" ></i> Agregar</button> &nbsp;
          <button class="btn btn-sm btn-danger btn-uq"  matTooltip="Regresar al listado de cajas" (click)="permisodiv(false)" ><i class="fa fa-arrow-circle-left" ></i> Cancelar</button>
        </div>
      </div>
      <div class="container-fluid div-table float-left col-lg-6 col-md-6 col-12">
        <table class="table table-fixed font-comp table-style">
          <thead>
          <tr>
            <th scope="col" class="col-100 col-l">

            </th>
            <th class="col-l namemd" scope="col">NOMBRE COMPLETO</th>
            <th class="col-l col-100" scope="col">USARIO</th>
          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let regist of dataUser">

            <th scope="row" class="col-100 col-l">
              <a class="btn btn-sm btn-danger" matTooltip="Quitar acceso"><i class="fa fa-times"></i></a>&nbsp;
            </th>
            <td class="col-l namemd">{{ regist.nombreCompleto }}</td>
            <td class="col-l col-100">{{ regist.usuario }}</td>
          </tr>
          <tr *ngIf="dataUser.length == 0" class="col-c cel-ie">
            <td colspan="4">No hay registros.</td>
          </tr>
          </tbody>
          <tfoot>
            <tr >
              <td colspan="4" class="col-r"><b>{{ dataGlobal.length | number }} registros</b></td>
            </tr>
          </tfoot>
        </table>


      </div>
    </div>
  </div>
  <mat-drawer #drawer class="example-sidenav" >
    <app-menu></app-menu>
  </mat-drawer>
  <!-- <app-registro></app-registro> -->
</mat-drawer-container>



